polybori::tuple Class Reference

`#include <embed.h>`

Inheritance diagram for polybori::tuple:

## Public Member Functions

template<class Type >
| tuple (const Type &obj)
| Unary constructors. More...
| tuple ()
| Default constructor. More...
DerefProxy< self > | operator* ()

## Detailed Description

This class extends boost::python::tuple by a Python-style *-operator

## Constructor & Destructor Documentation

template<class Type >

polybori::tuple::tuple | ( | const Type & | obj | ) |

inline

Unary constructors.

polybori::tuple::tuple | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

DerefProxy<self> polybori::tuple::operator* | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- embed.h